# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Build the manager binary
FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005252114 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005252114 
ENV __doozer=merge OS_GIT_COMMIT=25bb193 OS_GIT_VERSION=4.4.0-202005252114-25bb193 SOURCE_DATE_EPOCH=1587573269 SOURCE_GIT_COMMIT=25bb1938f3aab45f600c0c1b46af11d7a5ccd368 SOURCE_GIT_TAG=25bb193 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure 

# Copy in the go src
WORKDIR /go/src/sigs.k8s.io/cluster-api-provider-azure
COPY pkg/    pkg/
COPY cmd/    cmd/
COPY vendor/ vendor/

# Build
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -a -o ./machine-controller-manager sigs.k8s.io/cluster-api-provider-azure/cmd/manager
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -a -o ./manager ./vendor/github.com/openshift/machine-api-operator/cmd/machineset

# Copy the controller-manager into a thin image
FROM openshift/ose-base:v4.4.0.20200525.211442
ENV __doozer=update BUILD_RELEASE=202005252114 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005252114 
ENV __doozer=merge OS_GIT_COMMIT=25bb193 OS_GIT_VERSION=4.4.0-202005252114-25bb193 SOURCE_DATE_EPOCH=1587573269 SOURCE_GIT_COMMIT=25bb1938f3aab45f600c0c1b46af11d7a5ccd368 SOURCE_GIT_TAG=25bb193 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure 
WORKDIR /
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-azure/manager .
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-azure/machine-controller-manager .

LABEL \
        name="openshift/ose-azure-machine-controllers" \
        com.redhat.component="ose-azure-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.4.0" \
        release="202005252114" \
        io.openshift.build.commit.id="25bb1938f3aab45f600c0c1b46af11d7a5ccd368" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-azure" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-azure/commit/25bb1938f3aab45f600c0c1b46af11d7a5ccd368"

